## dataclass-wizard 0.35.0

=== debian/changelog ===
dataclass-wizard (0.35.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Tue, 22 Jul 2025 10:21:39 +0200

dataclass-wizard (0.35.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1107422)

 -- Edward Betts <edward@4angle.com>  Fri, 06 Jun 2025 18:50:40 -0500
