=== docs/requirements.txt ===
sphinx-issues==5.0.0
sphinx-autodoc-typehints==2.5.0
sphinx-copybutton==0.5.2
typing-extensions>=4.9.0
