=== debian/changelog ===
dataclass-wizard (0.35.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 30 Jul 2025 08:25:42 +0100
