=== debian/control ===
Source: dataclass-wizard
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-dotenv <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytimeparse <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-autodoc-typehints <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-issues <!nodoc>,
 python3-tomli-w <!nocheck>,
 python3-yaml <!nocheck>,
 tzdata-legacy <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/rnag/dataclass-wizard
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/dataclass-wizard
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/dataclass-wizard.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-dataclass-wizard
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Library for handling dataclass serialization and deserialization
 This library provides a set of tools for working with Python's dataclass
 structures, enabling effortless conversion to and from JSON, TOML, YAML,
 dictionaries, and environment variables. It supports flexible mappings of keys,
 custom transformations, and recursive data structures including nested and
 cyclic references. Field-level customisation is available for controlling how
 data is loaded or dumped, with support for environment variables as well. Its
 intuitive APIs allow straightforward interaction with structured data, and it
 includes functionality for auto-generating dataclass schemas from JSON input,
 managing unknown keys, and providing catch-all fields for unexpected data. This
 library integrates well with dataclass annotations to create and manipulate
 serialised representations while respecting data types and schema definitions.
