=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--no-cov -k "not test_toml_wizard_methods and \
	not test_catch_all and \
	not test_load_with_tuple_of_dotenv_and_env_file_param_to_init and \
	not test_load_with_dotenv_file"
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/testing.json

%:
	dh $@ --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html
