=== debian/watch ===
version=4
https://github.com/rnag/dataclass-wizard/tags .*/v?(\d\S+)\.tar\.gz
