## dataclass-wizard 0.35.4

=== debian/changelog ===
dataclass-wizard (0.35.4-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 13 Dec 2025 14:24:08 +0000
