=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  python3-tomli-w <!nocheck>,
  python3-yaml <!nocheck>,
  tzdata-legacy <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/rnag/dataclass-wizard
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/dataclass-wizard
