## dataclass-wizard 0.37.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: clean clean-test clean-pyc clean-build docs help
+.PHONY: clean clean-test clean-pyc clean-build docs help bump-patch bump-minor bump-major bump-patch-dry
 .DEFAULT_GOAL := help
 
 define BROWSER_PYSCRIPT
@@ -28,6 +28,20 @@
 
 init: ## install all dev dependencies for this project
 	pip install -e .[dev]
+	python -m pip install pre-commit build twine
+	pre-commit install
+
+bump-patch:
+	bump-my-version bump patch
+
+bump-minor:
+	bump-my-version bump minor
+
+bump-major:
+	bump-my-version bump major
+
+bump-patch-dry:
+	bump-my-version bump patch --dry-run --verbose
 
 clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts
 
@@ -83,15 +97,21 @@
 release: dist ## package and upload a release
 	twine upload dist/*
 
+check-dist:
+	python -m build
+	python -m twine check dist/*
+
 check: dist-local  ## verify release before upload to PyPI
 	twine check dist/*
 
 dist: clean ## builds source and wheel package
-	python setup.py sdist bdist_wheel
+	pip install build
+	python -m build
 	ls -l dist
 
 dist-local: clean replace_version ## builds source and wheel package (for local testing)
-	python setup.py sdist bdist_wheel
+	pip install build
+	python -m build
 	ls -l dist
 	$(MAKE) revert_readme
 
@@ -109,7 +129,7 @@
 	mv README.rst.bak README.rst
 
 install: clean ## install the package to the active Python's site-packages
-	python setup.py install
+	pip install .
 
 dist-conda: clean ## builds source and wheel package for Anaconda
 	conda build .
