=== debian/changelog ===
dataclass-wizard (0.37.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch to avoid privacy breach in docs.

 -- Edward Betts <edward@4angle.com>  Mon, 22 Dec 2025 12:19:54 +0000
