## dataclass-wizard 0.38.2

=== debian/changelog ===
dataclass-wizard (0.38.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Tue, 30 Dec 2025 11:56:22 +0000
