## dataclass-wizard 0.39.0

=== debian/changelog ===
dataclass-wizard (0.39.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 03 Jan 2026 09:26:54 +0000
