=== docs/requirements.txt ===
sphinx-issues==5.0.1
sphinx-autodoc-typehints==3.6.0; python_version>="3.10"
sphinx-copybutton==0.5.2
typing-extensions>=4.9.0
