=== debian/changelog ===
dataclass-wizard (0.39.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 07 Jan 2026 03:22:51 +0000
