=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -24,7 +23,7 @@
  python3-tomli-w <!nocheck>,
  python3-yaml <!nocheck>,
  tzdata-legacy <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/rnag/dataclass-wizard
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/dataclass-wizard
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/dataclass-wizard.git
