=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-
 override_dh_auto_build:
 	dh_auto_build $@ --buildsystem=pybuild
 	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html
