=== debian/watch ===
Version: 5

Template: Github
Owner: rnag
Project: dataclass-wizard
